// @ts-ignore

/* eslint-disable */
import { request } from 'umi';

export default {
  /** 获取商品物料  sdsa GET /kitchen/api/rule */
  goodsBoms(data) {
    return request(`/kitchen/api/GoodsBom/GetBomReplac`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  updateGoodsBom(data) {
    return request('/kitchen/api/GoodsBom/EditReplac', {
      method: 'PUT',
      data: data,
      // ...(options || {}),
    });
  },

  addGoodsBom(data) {
    // http://localhost:7002
    return request('/kitchen/api/GoodsBom/AddReplac', {
      method: 'POST',
      // type:'json',
      data: data,
      // ...(options || {}),
    });
  },
  /** 获取商品商品  sdsa GET /kitchen/api/rule */
  goodList(data) {
    return request(`/kitchen/api/goods/goodss`, {
      method: 'Post',
      data: data,
      // params: { ...params },
      // ...(options || {}),
    });
  },
  /** 获取原料信息 POST /kitchen/api/rule */
  postStockGoods() {
    return request(`/kitchen/api/frachisee-stock-adjust/product-list`, {
      method: 'Get',
      // ...(options || {}),
    });
  },
};
